Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class InteractiveShellRunner

    java.lang.Object
      org.codehaus.groovy.tools.shell.ShellRunner
          org.codehaus.groovy.tools.shell.InteractiveShellRunner

All Implemented Interfaces:
  Runnable

    class InteractiveShellRunner
    extends ShellRunner

Support for running a Shell interactivly using the JLine library.

Authors:
  Jason Dillon

Version:
  \$Id: InteractiveShellRunner.groovy 21581 2011-02-17 20:09:34Z glaforge \$

Field Summary

Fields inherited from class ShellRunner
log

Property Summary
`CommandsMultiCompletor` | `completor`
`Closure` | `prompt`
`jline.ConsoleReader` | `reader`

Constructor Summary
`InteractiveShellRunner(Shell shell, Closure prompt)`

Method Summary
`protected String` | `readLine()`
`void` | `run()`
`void` | `setHistory(jline.History history)`
`void` | `setHistoryFile(File file)`
`protected boolean` | `work()`

Methods inherited from class ShellRunner
readLine, run, work

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### completor

    final CommandsMultiCompletor completor

### prompt

    final Closure prompt

### reader

    final jline.ConsoleReader reader

Constructor Detail

### InteractiveShellRunner

    InteractiveShellRunner(Shell shell, Closure prompt)

Method Detail

### readLine

    protected String readLine()

### run

    void run()

### setHistory

    void setHistory(jline.History history)

### setHistoryFile

    void setHistoryFile(File file)

### work

    @Override
    protected boolean work()

Copyright © 2003-2010 The Codehaus. All rights reserved.